var allowMenuItem = 'captiAllowMenu';

chrome.runtime.onMessage.addListener(
  function(request, sender, sendResponse) {
    if (null != request && request.option_method) {
      console.log(request);
      if ( request.option_method == 'GET') {
          sendResponse({ 'captiAllowMenu' : window.localStorage.getItem(allowMenuItem)})
      } else if ( request.option_method == 'SET' && request.option_body) {
          var options_map = objToMap(request.option_body);
          options_map.forEach((value, key, map) => {
            window.localStorage.setItem(key, value);
          });
      }
    }
  });

  function objToMap(obj) {
    let strMap = new Map();
    for (let k of Object.keys(obj)) {
      strMap.set(k, obj[k]);
    }
    return strMap;
  }
